export class Noticia {
  id: string;
  titulo: string;
  introduccion: string;
  descripcion: string;
  fecha: string;
  foto: string;
  categoria: string;

  constructor(json?: Partial<Noticia>) {
    this.id = "";
    this.titulo = "";
    this.introduccion = "";
    this.descripcion = "";
    this.fecha = "";
    this.foto = "";
    this.categoria = "";
    if (json !== null) {
      Object.assign(this, json);
    }
  }

  static fromJson(json: Partial<Noticia>) {
    return new Noticia(json);
  }

  static fromJsonList(data: Partial<Noticia>[]) {
    return data.map((_data) => new Noticia(_data));
  }
}
